import pandas as pd
import matplotlib.pyplot as plt

data = pd.read_csv("cetnost-jmena.csv", sep=",", index_col=0)

# umazání některých sloupců

data = data.drop(['0', '2017', '3000'], 1)
data = data.drop(list(map(str, range(1899, 1950))), 1)

# uložení do jiného souboru pro pozdější zpracování

# data.to_csv("jmena.csv")

print(data.head())

x = range(1950, 2017)
plt.plot(x, data.loc['RADEK'])
plt.plot(x, data.loc['TOMÁŠ'])
plt.plot(x, data.loc['JAN'])
plt.plot(x, data.loc['NIKOLA'])
plt.show()
