from hypothesis import given
from hypothesis.strategies import integers, lists


def reverse(s):
    s = s[:]
    size = len(s)

    for i in range(size // 2):
        s[i], s[size - i - 1] = s[size - i - 1], s[i]

    return s


@given(lists(integers()))
def test_rev1(s):
    # print(s)  # show the test cases

    t = reverse(s)
    if s != []:
        assert t[0] == s[-1]
        assert t == s[::-1]


test_rev1()
